Devices
Get Devices
Returns one or more devices user has access to.
Some fields are applicable only to devices with specific capabilities.
Results can be filtered using the query parameters specified below.
Returns 200 with empty devices list and a total of 0 when no devices found.
query Parameters
limitThe number of items to return, default is 100 and maximum is 1000.
offsetThe number of items to skip before starting to collect the result set.
statusThe status of the device.
probe.agentAgent probe status.
probe.deviceSourceManagement Server probe status.
probe.edgeEdge probe status.
probe.hostHost probe status.
probe.appApp probe status.
isFirmwareVulnerableIs the firmware version vulnerable.
isFirmwareLatestIs the current firmware version is the latest available.
isFirmwareUpgradeAvailableIs there a newer firmware version available.
lifeCycleStatusEnd of support status.
onboardedAfterFilter devices onboarded after the specified date, in ISO 8601 format.
onboardedBeforeFilter devices onboarded before the specified date, in ISO 8601 format.
maintenanceModeFilter devices by maintenance mode.
hardenedAfterFilter devices last hardened after the specified date, in ISO 8601 format.
hardenedBeforeFilter devices last hardened before the specified date, in ISO 8601 format.
recordingStatusFilter devices by recording status.
storageServerFilter devices by storage server.
compliance.firmware.patchedVersionFilter devices by available firmware patch version.
isOrphanedFilter devices by whether they no longer exist in the management platform.
Get Devices › Responses
A list of device objects.
A list of device objects.
totalThe total number of devices matching the query.
Get Device By ID
Returns basic information about a specific device in the system.
Returns 404 if the device is not found or the user does not have access to the device.
path Parameters
idThe device id
Get Device By ID › Responses
Single device information
idThe unique identifier of the device, generated by SecuriThings and will identify the device in the system.
nameThe name field represents the user-assigned device name as displayed in the management system.
vendorThe manufacturer of the device.
modelThe model of the device.
firmwareVersionthe current firmware version that the device is running.
deviceTypeThe type of device, such as camera, access control panel, intercom, or other classifications.
Nested object providing compliance-related details.
Nested object providing network-related details.
statusThe current operational status of the device (e.g., "online" or "offline").
lastSeenThe last known active time of the device in ISO 8601 format.
The status of each probe available.
Specifies the discovery source and the integration methods for the device.
Specifies the site or geolocation associated with the device, indicating the physical or logical location to which it is connected.
onboardingDateThe date and time the device was onboarded, in ISO 8601 format.
maintenanceModeWhether the device is in maintenance mode.
recordingStatusThe recording status of the device.
storageServerThe storage server the device is associated with.
isOrphanedWhether the device no longer exists in the management platform.
Get Device Vulnerabilities By ID
Retrieves a detailed list of vulnerabilities associated with a specific device. This endpoint allows clients to query vulnerabilities by providing the unique device identifier, enabling visibility into potential security risks affecting the device.
Returns 404 if the device is not found or the user does not have access to the device.
path Parameters
idThe device id
Get Device Vulnerabilities By ID › Responses
Single device vulnerabilities
cveIdThe cveId field represents CVE identifier (if available).
descriptionThe description field provides a detailed description of the vulnerability.
reportDateThe reportDate field indicates the date when the vulnerability was reported.
severityThe severity field indicates the severity of the vulnerability.
reportLinkThe reportLink field provides a link to the vulnerability report.
Get Device Passwords Metadata By ID
Returns password metadata for all users associated with a specific device. The actual password values are not included in the response.
Returns 404 if the device is not found or the user does not have access to the device.
path Parameters
idThe device id
Get Device Passwords Metadata By ID › Responses
Device passwords metadata
Get Device Certificates By ID
Returns certificate data for all supported certificate types associated with a specific device.
Returns 404 if the device is not found or the user does not have access to the device.
path Parameters
idThe device id
Get Device Certificates By ID › Responses
Device certificates
totalThe total number of certificates matching the query.
